package come.stormborntales.notevault.data.local.entity

import androidx.room.Entity
import androidx.room.PrimaryKey

@Entity(tableName = "notes")
data class NoteEntity(
    @PrimaryKey(autoGenerate = true) val id: Int = 0,
    val title: String,
    val images: List<String>, // oder String + TypeConverter
    val composer: String?,
    val year: Int?,
    val genre: String?,
    val description: String?
)
